import { Module } from '@nestjs/core/injector/module';
export declare class AppBootstrapper {
    static run(mainModule: Module, config: IBootstrapConfig): Promise<void>;
    private static _getTransports;
}
export interface IBootstrapConfig {
    appName?: string;
    configFilePath?: string;
    globalPrefix?: string;
    logging?: IBootstrapLoggingConfig;
    swagger?: IBootstrapSwaggerConfig;
}
export interface IBootstrapLoggingConfig {
    filePath?: string;
}
export interface IBootstrapSwaggerConfig {
    title?: string;
    description?: string;
    version?: string;
    path?: string;
}
